# Generated by Django 5.0.3 on 2024-04-10 00:09

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('normal_users', '0009_rename_is_deployable_application_is_secure'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Wizard',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('step', models.IntegerField(blank=True, default=1)),
                ('is_active', models.BooleanField(blank=True, default=False)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('app', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='normal_users.application')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'wizard',
                'ordering': ['-last_updated', 'user'],
            },
        ),
    ]
